검색
트렌드 검색
GET /v1/search/trends reads 2 크레딧
트렌드를 열었을 때 X가 보여주는 순위순 게시물: 트렌드 이름에 대한 top 결과 집합을 트렌드 페이지에서 독자가 보는 순서 그대로.
쿼리 매개변수
| 쿼리 파라미터 | 타입 | 의미 |
|---|---|---|
q * | string | 트렌드 응답에 나열된 그대로의 트렌드 이름 또는 쿼리 |
count | int 1–100 = 20 | 요청 페이지 크기. X는 힌트로 취급 |
cursor | string | 이전 페이지의 next_cursor에서 |
응답
검색과 같은 형태이며 product는 항상 top입니다. 게시물이 없는 첫 페이지에서 next_cursor는 null입니다. 필드별 설명: Tweet (읽기).
상태: 200, 400, 422, 429, 502
요청
curl https://api.xsignalfeed.com/v1/search/trends?q=NASA&count=10 \ -H "Authorization: Bearer xsf_your_key"
응답 · 200 / 400
{
"query": "NASA",
"product": "top",
"tweets": [
{
"id": 2100295141441347962,
"created_ms": 1789584357973,
"user_id": 15165493,
"user": "NASASolarSystem",
"name": "NASA Solar System",
"text": "…",
"lang": "en",
"reply_to": null,
"reply_to_status_id": null,
"reply_to_user_id": null,
"conversation_id": "2100295141441347962",
"is_rt": false,
"rt_of": null,
"is_quote": false,
"quoted": null,
"media": [
"https://pbs.twimg.com/media/HSW_TFmX0AA6HWR.jpg"
],
"media_items": [
{
"type": "photo",
"url": "https://pbs.twimg.com/media/HSW_TFmX0AA6HWR.jpg",
"expanded_url": "https://x.com/NASASolarSystem/status/2100295141441347962/photo/1",
"width": 2856,
"height": 1604
}
],
"urls": [
"https://go.nasa.gov/…"
],
"views": "295748",
"counts": {
"reply": 103,
"rt": 444,
"like": 2990,
"quote": 58,
"bookmark": 253
},
"source": "<a href=\"https://www.sprinklr.com\" rel=\"nofollow\">Sprinklr</a>"
},
{
"…": "…"
}
],
"next_cursor": "DAACCgACHSYw9bMAJxAKAAMd…"
}